1. Directory
PartnerPage API
  • Introduction
  • Authentication
  • Object Overview
  • Directory
    • Forms
      • Get all custom forms
      • Get all currency field options
      • Get all contact request form
      • Get default contact request form
      • Create a cotact request custom form
      • Delete a contact request custom form
    • Callouts
      • Get all callouts
      • Get a callout
      • Create a new callout
      • Update a directory callout
      • Delete a directory callout
    • Badges
      • Get all badges
      • Get a badge
      • Create a badge
      • Update a badge
      • Delete a badge
    • Certifications
      • Get all certifications
      • Get a certificacion
      • Create a certification
      • Update a certification
      • Delete a certification
    • Filters
      • Filter Options
        • Get all filter options
        • Get a filter option
        • Create a filter option
        • Update a filter option
        • Deletes a filter option
      • Get all filters
      • Get a filter
      • Create a filter
      • Update a filter
      • Deletes a filter
      • Get all internal filters
      • Get all filters for external directory
    • Filter Maps
      • Get all filter option mappings
      • Get a filter option mapping
      • Create a new filter option mapping
      • Update a filter option mapping
      • Delete a filter option mapping
      • Get all filter option mappings for external directory
    • Matchmaking
      • Get all matchmaking requests
    • Tiers
      • Get all tiers
      • Get a tier
      • Create a tier
      • Update a tier
      • Delete a tier
      • Get all entries assigned to an specific tier
      • Assign or Unassign entries to an specific tier
    • Verifications
      • Get all verifications
      • Get a verification
      • Create a verification
      • Update a verification
      • Delete a verification
    • Settings
      • Retrieve the settings for a directory
      • Update the settings for a directory
    • List directories
      GET
    • Get a directory
      GET
    • Create a directory
      POST
    • Update a directory
      PATCH
  • Entry
    • App Entry
      • Callouts
        • Get all callouts
        • Get an entry callout
        • Create a new callout
        • Update a callout
        • Delete a callout
      • Get an app entry
      • Create new app entry
      • Update app entry
      • Delete a app entry
      • Update the recommended order of an app entry
    • Partner Entry
      • Badges
        • Get all badges
        • Get a badge
        • Create a badge
        • Update a badge
        • Delete a badge
      • Callouts
        • Get all callouts
        • Get a callout
        • Create a callout
        • Update a callout
        • Delete a callout
      • Certifications (General)
        • Get all certifications
        • Get a certification
        • Create a certification
        • Update a certification
        • Delete a certification
      • Certifications (Industry)
        • Get all industry certifications
        • Get an industry certification
        • Create an industry certification
        • Update an industry certification
        • Delete an industry certification
      • Certifications (Segment)
        • Get all segment certifications
        • Get a segment certification
        • Create a segment certification
        • Update a segment certification
        • Delete a segment certification
      • Client
        • Get all Clients
        • Get a client
        • Create a client
        • Update a client
        • Delete a client
      • Keywords
        • Get all keywords
        • Get a keyword
        • Create a keyword
        • Update keyword
        • Delete a keyword
      • Locations
        • Get all location
        • Get a location
        • Create a location
        • Update a location
        • Delete a location
      • Media
        • Get all media
        • Get a media
        • Create a media
        • Update a media
        • Delete a media
      • Resources
        • Internal
          • Get all Internal resources
          • Get an internal resource
          • Create an internal resource
          • Update an internal resource
          • Delete an internal resource
        • Get all resouces
        • Get a resource
        • Create a resource
        • Update a resource
        • Delete a resource
      • Special Offers
        • Get all special offer
        • Get a special offer
        • Create a special offer
        • Update a special offer
        • Delete a special offer
      • Testimonials
        • Internal
          • Get all internal testimonial
          • Get an internal testimonial
          • Create an internal testimonial
          • Update an internal testimonial
          • Delete an internal testimonial
        • Get all testimonials
        • Get a testimonial
        • Create a testimonial
        • Update a testimonial
        • Delete a testimonial
      • Use Cases
        • Internal
          • Get all internal use cases
          • Get an internal use cases
          • Create an internal use case
          • Update an internal use case
          • Delete an internal use case
        • Get all use cases
        • Get a use case details
        • Create a use case
        • Update a use case
        • Delete a use case
      • Verifications
        • Get all verifications
        • Get a verification
        • Create a verification
        • Update a verification
        • Delete a verification
      • Contact Information
        • Return entry contact information
      • Invite
        • Get organization matches for partner invite
        • Get partner entry owner organization invite
        • Get partner entry owner user invites
        • Invite organization to own partner entry
        • Invite users to partner entry ownership
      • Entry Edits Approval Flow
        • Partner Entry Submit Review
        • Partner Entry Approve Review
        • Partner Entry Reject Changes
        • Partner Entry Discard Review
      • Get all partner entry
      • Get a partner entry
      • Create a partner entry
      • Update a partner entry
      • Delete a partner entry
      • Update the recommended order of a partner entry
    • Get all entries
      GET
  • Contact Request
    • Attachment
      • List contact request attachments
      • Create contact request attachment
      • Delete contact request attachment
    • Get all contact requests
      GET
    • Get a contact request
      GET
    • Create new contact request
      POST
  • Matchmaking
    • Get all matchmaking requests
      GET
    • Get a matchmaking request
      GET
    • Create a new matchmaking request for a directory
      POST
    • Get all partners assigned to matchmaking requests
      GET
    • Assign an owner to a matchmaking request
      PATCH
    • Set partners to a matchmaking request
      PUT
  • Review
    • directory-review-list
    • directory-review-detail
    • directory-review-create
    • Update a review
    • Delete a review
    • reviewsDirectoryExportRetrieve
  1. Directory

Create a directory

POST
https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/
Create a new GenericDirectory for the authenticated user's organization.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params
application/json
Required

Examples

Responses

🟢201
application/json
Created
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Acme Partner Directory",
    "type": "partner"
}'
Response Response Example
{
    "href": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "settings": {
        "href": "string",
        "generic_directory_id": "4db06a2f-37b4-427f-b9e4-58413b127e8b",
        "custom_url": "http://example.com",
        "global_call_to_action_url": "string",
        "global_call_to_action_label": "string",
        "contact_button_label": "string",
        "featured_entries_enabled": true,
        "entry_types": [
            "app"
        ],
        "entry_type_settings": {
            "property1": {
                "url_segment": "string",
                "on_card_click": "string",
                "show_card_links_as_internal": true
            },
            "property2": {
                "url_segment": "string",
                "on_card_click": "string",
                "show_card_links_as_internal": true
            }
        },
        "page_size_selection_on_directory": true,
        "filter_mappings_enabled": true,
        "badges_enabled": true,
        "callouts_enabled": true,
        "custom_forms_enabled": true,
        "certifications_enabled": true,
        "verifications_enabled": true,
        "call_to_action_enabled": true,
        "awards_enabled": true,
        "availability_toggle_enabled": true,
        "landing_page_enabled": true,
        "custom_slug_enabled": true,
        "keywords_enabled": true,
        "questionnaire_enabled": true,
        "media_enabled": true,
        "case_studies_enabled": true,
        "clients_enabled": true,
        "testimonials_enabled": true,
        "special_offers_enabled": true,
        "contact_requests_enabled": true,
        "tiers_enabled": true,
        "matchmaking_requests_enabled": true,
        "partner_applications_enabled": true,
        "assign_matchmaking_request_enabled": true,
        "use_cases_enabled": true,
        "accreditations_enabled": true,
        "external_url_enabled": true,
        "external_id_enabled": true,
        "show_bottom_bar": true,
        "legacy_partner_view_enabled": true,
        "service_marketplace_enabled": true,
        "recommended_sort_enabled": true,
        "internal_directory_enabled": true,
        "default_sorting": "string",
        "entry_approval_flow_enabled": true,
        "support_enabled": true,
        "location_enabled": true,
        "locations_enabled": true,
        "contact_request_project_statuses_enabled": true,
        "partners_invitations_enabled": true,
        "last_updated_enabled": true,
        "entry_disclaimer_text": "string",
        "entry_disclaimer_text_enabled": true,
        "gdpr_enabled": true,
        "terms_of_service_url": "http://example.com",
        "privacy_policy_url": "http://example.com",
        "integration_description_enabled": true,
        "partner_description_max_length": 1,
        "reviews_enabled": true,
        "auto_approve_reviews_enabled": true,
        "show_full_review_information_enabled": true,
        "show_description_on_card": true,
        "i18n_enabled": true,
        "i18n_mode": "prefix",
        "i18n_languages": null,
        "i18n_dynamic_content_translation_enabled": true,
        "partner_finder_enabled": true,
        "badges_show_wide_enabled": true,
        "crm_objects_enabled": true,
        "scheduler_enabled": true,
        "scheduler_post_call_feedback_enabled": true,
        "enrich_profile_dir_owner_enabled": true,
        "enrich_profile_entry_owner_enabled": true,
        "entry_website_link_enabled": true,
        "contact_requests_custom_fields_form": "42f0a3f1-6a18-40ea-bc88-1ea27201cace",
        "require_business_email_for_lead_forms": true,
        "plan": "string",
        "url_customization_enabled": true,
        "webhooks_enabled": true,
        "webhooks_secret": "string",
        "custom_url_setup_method": "string",
        "custom_domain_router_id": "ae2a9628-b0f5-412f-9f9c-f908a9ffc7dd",
        "friendly_subdomain": "string",
        "friendly_url": "http://example.com",
        "reporting_dashboard_id": "string"
    },
    "customizations": {
        "href": "string",
        "generic_directory_id": "4db06a2f-37b4-427f-b9e4-58413b127e8b",
        "logo": "http://example.com",
        "internal_logo": "http://example.com",
        "favicon": "http://example.com",
        "internal_favicon": "http://example.com",
        "interactive_color": "string",
        "action_primary_color": "string",
        "colors_theme": null,
        "font_family": null,
        "css_file": "http://example.com",
        "custom_navbar": {
            "name": "string",
            "settings": null
        },
        "directory_featured_section": {
            "title": "string",
            "background": "string"
        },
        "directory_main_section": {
            "title": "string",
            "background": "string",
            "matchmaking_card": {
                "title": "string",
                "description": "string",
                "introduction": "string",
                "image": "http://example.com",
                "button_label": "string"
            }
        },
        "custom_first_section": {
            "name": "string",
            "settings": null
        },
        "custom_second_section": {
            "name": "string",
            "settings": null
        },
        "custom_last_section": {
            "name": "string",
            "settings": null
        },
        "custom_footer": {
            "name": "string",
            "settings": null
        },
        "landing_page_hero": null,
        "landing_page_metrics": null,
        "landing_page_partners": null,
        "landing_page_process": null,
        "landing_page_reviews": null,
        "partner_profile_header": null,
        "partner_profile_main": null,
        "partner_profile_reviews": null,
        "review_form_main": null,
        "contact_form_main": null,
        "matchmaking_form_main": null,
        "partner_application_form_main": null,
        "custom_partner_profile_last_section": null
    },
    "tracking": {
        "umami_website_id": "318b39c9-b9a6-4f45-a66c-876182a646d4",
        "umami_share_id": "string",
        "internal_umami_website_id": "4452dbbb-23e0-4ebb-a6b5-ecb8068d247b",
        "internal_umami_share_id": "string"
    },
    "seo": {
        "meta_title": "string",
        "meta_description": "string",
        "meta_image": "string",
        "site_name": "string",
        "index_directory": true
    }
}
Modified at 2026-07-07 18:07:50
Previous
Get a directory
Next
Update a directory
Built with